package cloud.javastudy.study.demo;

import cloud.javastudy.study.demo.config.ThirdFilter;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 只需要在这里面加上一个@ServletComponentScan这个注解就可以了
 */
@SpringBootApplication
@ServletComponentScan
public class DemoApplication {

	public static void main(String[] args) {
		SpringApplication.run(DemoApplication.class, args);
	}

	/**
	 * 把第三方的过滤器包装成一个Spring的Bean
	 * @return
	 */
	@Bean
	public FilterRegistrationBean thirdFilter() {
		FilterRegistrationBean bean = new FilterRegistrationBean<>(new ThirdFilter());
		bean.setName("ThirdFilter");
		bean.addUrlPatterns("/test/*");
		bean.setOrder(0);
		return bean;
	}
}
