package cloud.javastudy.study.demo.config;

import cloud.javastudy.study.demo.controller.TestBean;
import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.*;
import javax.servlet.annotation.WebFilter;
import java.io.IOException;

/**
 * 这里要注意两点,一个是 @WebFilter注解, 一个是实现了Filter接口
 * @Author https://www.javastudy.cloud
 * @CreateTime 2019/11/8
 **/
@WebFilter("/test/*")
public class TestFilter implements Filter {


    @Autowired
    private TestBean testBean;

    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        // 进行逻辑处理
        System.out.println("in doFilter");
        testBean.testHandle();
        // 一定要记得这个,逻辑处理完之后,调用过滤器链,去进入到下一个过滤器
        chain.doFilter(request,response);
    }
}
